Gtk2::Socket(3p)

NAME
Gtk2::Socket - wrapper for GtkSocket

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Socket

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Socket->new

  $socket->add_id ($window_id)

•   $window_id (Gtk2::Gdk::NativeWindow)

  nativewindow = $socket->get_id

  window or undef = $socket_->get_plug_window
Since: gtk+ 2.14

  $socket->steal ($wid)

•   $wid (Gtk2::Gdk::NativeWindow)

SIGNALS

plug-added (Gtk2::Socket)
boolean = plug-removed (Gtk2::Socket)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.